package io.renren.modules.app.controller;

import io.renren.common.utils.R;
import io.renren.modules.admin.entity.MeetingEntity;
import io.renren.modules.admin.entity.MoneyAccountEntity;
import io.renren.modules.admin.service.MeetingService;
import io.renren.modules.admin.service.MoneyAccountService;
import io.renren.modules.admin.entity.PaperRequireEntity;
import io.renren.modules.admin.service.PaperRequireService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * APP测试接口
 *
 * @author Mark sunlightcs@gmail.com
 */
@RestController
@RequestMapping("/app/meeting")
public class AppMeetingController {
    @Autowired
    private MeetingService meetingService;

    @Autowired
    private MoneyAccountService moneyAccountService;
    @Autowired
    private PaperRequireService paperRequireService;

    /**
     * 获取会议信息
     */
    @GetMapping("/info/{id}")
    public R info(@PathVariable("id") Long id){
		MeetingEntity meeting = meetingService.getById(id);

        return R.ok().put("meeting", meeting);
    }

    /**
     * 根据meetingId信息获取对公账号
     */
    @GetMapping("/accountinfo/{mid}")
    public R infoByMid(@PathVariable("mid") Long mid){
		MoneyAccountEntity moneyAccount = moneyAccountService.getOneByMeetingId(mid);
        
        return R.ok().put("moneyAccount", moneyAccount);
    }

     /**
     * 根据meetingId信息获取投稿要求
     */
    @GetMapping("/paperrequireinfo/{mid}")
    public R paperrequireInfoByMid(@PathVariable("mid") Long mid) {
        PaperRequireEntity paperRequir = paperRequireService.getOneByMeetingId(mid);
        
        return R.ok().put("paperRequir", paperRequir);
    }
}
